All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
result.hh File Reference
`#include <roboptim/core/sys.hh>`
`#include <roboptim/core/debug.hh>`
`#include <iostream>`
`#include <vector>`
`#include <roboptim/core/function.hh>`

## Classes

class | roboptim::Result
| Represents the solution of an optimization problem. More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.

## Functions

ROBOPTIM_DLLAPI std::ostream & | roboptim::operator<< (std::ostream &o, const Result &r)
| Override operator<< to handle result display. More...